(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    708109,      10476]
NotebookOptionsPosition[    707290,      10447]
NotebookOutlinePosition[    707694,      10464]
CellTagsIndexPosition[    707651,      10461]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[""], "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.3926302935178747`*^9},
 FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$HistoryLength", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Share", "[", "]"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"ruw", "=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"InputForm", "[", 
          RowBox[{
          "Import", "[", "\"\<oscillatorRCRCRCdoethetBIS.bmp\>\"", "]"}], 
          "]"}], ")"}], "\[LeftDoubleBracket]", "1", 
        "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
       "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
      "\[RightDoubleBracket]"}]}], ";"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a_", "\[CirclePlus]", "b_"}], ":=", 
   RowBox[{"Join", "[", 
    RowBox[{"a", ",", "b"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MUL1D", "[", 
    RowBox[{"V_", ",", "W_"}], "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"V", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
      "\[Times]", 
      RowBox[{"W", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MUL2D", "[", 
    RowBox[{"M_", ",", "N_"}], "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"MUL1D", "[", 
      RowBox[{
       RowBox[{"M", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"N", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "M", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cnt", "[", "h_", "]"}], ":=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"h", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
      "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "h", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", 
       RowBox[{"Length", "[", 
        RowBox[{"h", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "]"}]}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ISO1D", "[", 
    RowBox[{"V_", ",", "W_"}], "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"V", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
        "\[Equal]", "x"}], ",", "x", ",", 
       RowBox[{"W", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ISO2D", "[", 
    RowBox[{"M_", ",", "N_"}], "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"ISO1D", "[", 
      RowBox[{
       RowBox[{"M", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"N", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "M", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MYSum", "[", "a_List", "]"}], ":=", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#1", "+", "#2"}], ")"}], "&"}], ",", "0", ",", "a"}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"M_", "\[CircleTimes]", "N_"}], ":=", 
   RowBox[{"MUL2D", "[", 
    RowBox[{"M", ",", "N"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"K", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], ":=", "a"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M16red", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M16yellow", "=", "12"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M16green", "=", "11"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M16azureblue", "=", "15"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M16deepblue", "=", "13"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M16white", "=", "16"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M16black", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M16brown", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M16lightgray", "=", "9"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"M16darkgray", "=", "8"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"mono16bmp2ele", "[", "M16darkgray", "]"}], ":=", "x"}], ";", 
   "     ", 
   RowBox[{"(*", "isolatie", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mono16bmp2ele", "[", "M16lightgray", "]"}], ":=", "0"}], ";", 
   "   ", 
   RowBox[{"(*", 
    RowBox[{"geleidende", " ", "soldeer"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mono16bmp2ele", "[", "M16deepblue", "]"}], ":=", "x"}], ";", 
   "     ", 
   RowBox[{"(*", 
    RowBox[{"isolerende", " ", "achtergrond"}], "*)"}], "\[IndentingNewLine]",
    
   RowBox[{
    RowBox[{"mono16bmp2ele", "[", "M16azureblue", "]"}], ":=", "0"}], ";", 
   "   ", 
   RowBox[{"(*", 
    RowBox[{"geleidende", " ", "ruimte"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mono16bmp2ele", "[", "M16yellow", "]"}], "=", "0"}], ";", 
   "           ", 
   RowBox[{"(*", "voltmeter", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mono16bmp2ele", "[", "M16green", "]"}], "=", "0"}], ";", 
   "              ", 
   RowBox[{"(*", "voltmeter", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mono16bmp2ele", "[", "M16red", "]"}], ":=", "1"}], ";", 
   "                ", 
   RowBox[{"(*", 
    RowBox[{"pos", " ", "lading"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mono16bmp2ele", "[", "M16white", "]"}], ":=", "1"}], ";", 
   "            ", 
   RowBox[{"(*", "source", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mono16bmp2ele", "[", "M16black", "]"}], ":=", "0"}], ";", 
   "            ", 
   RowBox[{"(*", "sink", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mono16bmp2ele", "[", "M16brown", "]"}], ":=", "0"}], ";", 
   "            ", 
   RowBox[{"(*", "amperemeter", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cntcharge", "[", "h_", "]"}], ":=", 
    RowBox[{"cnt", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"#", "\[Equal]", "1"}], ",", "1", ",", "0"}], "]"}], ")"}],
         "&"}], "  ", ",", "h", ",", 
       RowBox[{"{", "2", "}"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pcb", "=", 
   RowBox[{"Map", "[", 
    RowBox[{"mono16bmp2ele", ",", 
     RowBox[{"Reverse", "[", "ruw", "]"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"voltmeterplus", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"#", "\[Equal]", "M16yellow"}], ",", "1", ",", "0"}], "]"}], 
       ")"}], "&"}], ",", 
     RowBox[{"Reverse", "[", "ruw", "]"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"amperemeter", "    ", "=", " ", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"#", "\[Equal]", "M16brown"}], "  ", ",", "1", ",", "x"}], 
        "]"}], ")"}], "&"}], ",", " ", 
     RowBox[{"Reverse", "[", "ruw", "]"}], ",", " ", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"powersystem", "    ", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"#", "\[Equal]", "M16white"}], "  ", ",", "1", ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"#", "\[Equal]", "M16black"}], ",", "0", ",", "x"}], 
          "]"}]}], "]"}], ")"}], "&"}], ",", " ", 
     RowBox[{"Reverse", "[", "ruw", "]"}], ",", " ", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"amperelength", "  ", "=", " ", 
    RowBox[{"Mean", "[", 
     RowBox[{"DeleteCases", "[", 
      RowBox[{
       RowBox[{"Map", "[", 
        RowBox[{"MYSum", ",", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"#", "\[Equal]", "1"}], ",", "1", ",", "0"}], "]"}], 
             ")"}], "&"}], ",", "amperemeter", ",", 
           RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}], ",", "0"}], "]"}], 
     "]"}]}], ";", 
   RowBox[{"(*", 
    RowBox[{"must", " ", "be", " ", "rectangular"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"voltareaplus", " ", "=", 
    RowBox[{"cnt", "[", "voltmeterplus", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HUEred", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HUEyellow", "=", "0.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HUEgreen", "=", "0.4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HUEazureblue", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HUEdeepblue", "=", "0.6"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ele2HUE", "[", "x", "]"}], "=", "HUEdeepblue"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ele2HUE", "[", "0", "]"}], "=", "HUEazureblue"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ele2HUE", "[", "1", "]"}], "=", "HUEred"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"MYHue", "[", "c_", "]"}], ":=", 
    RowBox[{"Hue", "[", 
     RowBox[{"Switch", "[", 
      RowBox[{
      "c", ",", "0.5", ",", "HUEdeepblue", ",", "0", ",", "HUEazureblue", ",",
        "1", ",", "HUEred"}], "]"}], "]"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"HAHAGraphics", "[", "h_", "]"}], ":=", 
   RowBox[{"Show", "[", 
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"Raster", "[", 
       RowBox[{
        RowBox[{"Reverse", "[", "h", "]"}], ",", 
        RowBox[{"ColorFunction", "\[Rule]", "MYHue"}]}], "]"}], ",", 
      RowBox[{"AspectRatio", " ", "->", " ", "Automatic"}]}], "]"}], "]"}]}], 
  ";", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"HAHAGraphics", "[", "pcb", "]"}], ";"}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  StyleBox[
   RowBox[{
    RowBox[{"BCAStep", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"n_", ",", "rule_"}], "}"}], ",", "a_", ",", "d_"}], "]"}], ":=",
     
    RowBox[{"RotateRight", "[", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"Partition", "[", 
         RowBox[{
          RowBox[{"RotateLeft", "[", 
           RowBox[{"a", ",", "d"}], "]"}], ",", "n"}], "]"}], "/.", "rule"}], 
       "]"}], ",", "d"}], "]"}]}],
   FontSize->9], 
  StyleBox[";",
   FontSize->9]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"HOStep", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n_", ",", "rule_"}], "}"}], ",", "a_", ",", "d_"}], "]"}], ":=",
    
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"BCAStep", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"n", ",", "rule"}], "}"}], ",", "#", ",", "d"}], "]"}], 
       ")"}], "&"}], ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"VEStep", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n_", ",", "rule_"}], "}"}], ",", "a_", ",", "d_"}], "]"}], ":=",
    
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"BCAStep", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"n", ",", "rule"}], "}"}], ",", "#", ",", "d"}], "]"}], 
        ")"}], "&"}], ",", 
      RowBox[{"a", "\[Transpose]"}]}], "]"}], "\[Transpose]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"HOVEStep", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n_", ",", "ddrule_"}], "}"}], ",", "a_", ",", "d_"}], "]"}], ":=",
    
   RowBox[{"VEStep", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", 
       RowBox[{"ddrule", "[", "d", "]"}]}], "}"}], ",", 
     RowBox[{"HOStep", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"n", ",", 
         RowBox[{"ddrule", "[", "d", "]"}]}], "}"}], ",", "a", ",", "d"}], 
      "]"}], ",", "d"}], "]"}]}], ";", 
  RowBox[{"(*", 
   RowBox[{"dd", "=", 
    RowBox[{"depth", " ", "dependent"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"RESUP1D", "[", 
    RowBox[{"M_", ",", "N_"}], "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"M", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
        "\[Equal]", "1"}], ",", "1", ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"M", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}],
           "\[Equal]", "0"}], ",", "0", ",", 
         RowBox[{
         "N", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]}], 
        "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "M", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RESUP2D", "[", 
    RowBox[{"M_", ",", "N_"}], "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"RESUP1D", "[", 
      RowBox[{
       RowBox[{"M", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"N", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "M", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"HOVERESUPStep", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"n_", ",", "ddrule_"}], "}"}], ",", "a_", ",", "d_"}], "]"}], ":=",
     
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{"d", ",", "7"}], "]"}], "\[NotEqual]", "0"}], ",", 
      RowBox[{"HOVEStep", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"n", ",", "ddrule"}], "}"}], ",", "a", ",", "d"}], "]"}], 
      ",", " ", 
      RowBox[{"RESUP2D", "[", 
       RowBox[{"powersystem", ",", 
        RowBox[{"HOVEStep", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"n", ",", "ddrule"}], "}"}], ",", "a", ",", "d"}], "]"}]}],
        "]"}]}], "]"}]}], ";", 
   RowBox[{"(*", 
    RowBox[{"DEP", " ", "powersystem"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"AMPbasic", 
    StyleBox[":=",
     FontSize->9], 
    RowBox[{
     StyleBox["{",
      FontColor->GrayLevel[0]], 
     RowBox[{
      RowBox[{
       RowBox[{
        StyleBox["{",
         FontColor->GrayLevel[0]], 
        RowBox[{
         StyleBox["y_",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox[",",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox["z_",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox[",",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox["0",
          FontWeight->"Bold",
          FontColor->GrayLevel[0]], 
         StyleBox[",",
          FontWeight->"Bold",
          FontColor->GrayLevel[0]], 
         StyleBox["1",
          FontWeight->"Bold",
          FontColor->RGBColor[1, 0, 0]]}], 
        StyleBox["}",
         FontColor->GrayLevel[0]]}], 
       StyleBox["\[Rule]",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"-", "1"}],
        FontColor->GrayLevel[0]]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["\[IndentingNewLine]",
       FontColor->GrayLevel[0]], 
      StyleBox["\t          ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       RowBox[{
        StyleBox["{",
         FontColor->GrayLevel[0]], 
        RowBox[{
         StyleBox["y_",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox[",",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox["z_",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox[",",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox["1",
          FontWeight->"Bold",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox[",",
          FontWeight->"Bold",
          FontColor->GrayLevel[0]], 
         StyleBox["0",
          FontWeight->"Bold",
          FontColor->GrayLevel[0]]}], 
        StyleBox["}",
         FontColor->GrayLevel[0]]}], 
       StyleBox["\[Rule]",
        FontColor->GrayLevel[0]], 
       StyleBox["1",
        FontColor->GrayLevel[0]]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["\[IndentingNewLine]",
       FontColor->GrayLevel[0]], 
      StyleBox["\t          ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       RowBox[{
        StyleBox["{",
         FontColor->GrayLevel[0]], 
        RowBox[{
         StyleBox["0",
          FontWeight->"Bold",
          FontColor->GrayLevel[0]], 
         StyleBox[",",
          FontWeight->"Bold",
          FontColor->GrayLevel[0]], 
         StyleBox["1",
          FontWeight->"Bold",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox[",",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox["y_",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox[",",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox["z_",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]]}], 
        StyleBox["}",
         FontColor->GrayLevel[0]]}], 
       StyleBox["\[Rule]",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"-", "1"}],
        FontColor->GrayLevel[0]]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["\[IndentingNewLine]",
       FontColor->GrayLevel[0]], 
      StyleBox["\t          ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       RowBox[{
        StyleBox["{",
         FontColor->GrayLevel[0]], 
        RowBox[{
         StyleBox["1",
          FontWeight->"Bold",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox[",",
          FontWeight->"Bold",
          FontColor->GrayLevel[0]], 
         StyleBox["0",
          FontWeight->"Bold",
          FontColor->GrayLevel[0]], 
         StyleBox[",",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox["y_",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox[",",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]], 
         StyleBox["z_",
          FontWeight->"Plain",
          FontColor->GrayLevel[0]]}], 
        StyleBox["}",
         FontColor->GrayLevel[0]]}], 
       StyleBox["\[Rule]",
        FontColor->GrayLevel[0]], 
       StyleBox["1",
        FontColor->GrayLevel[0]]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["\[IndentingNewLine]",
       FontColor->GrayLevel[0]], "\t          ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u_", ",", "v_", ",", "y_", ",", "z_"}], 
        StyleBox["}",
         FontColor->GrayLevel[0]]}], "\[Rule]", "0"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"amperes", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ratio", "=", "7"}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{"WAS", " ", "Tgalilio", " ", 
    RowBox[{
     RowBox[{"7", "!!"}], "!"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"AMP1DStep", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n_", ",", "rule_"}], "}"}], ",", "a_", ",", "d_"}], "]"}], ":=",
    
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{"d", ",", "ratio"}], "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"amperes", "=", 
        RowBox[{"Append", "[", 
         RowBox[{"amperes", ",", 
          RowBox[{"MYSum", "[", 
           RowBox[{
            RowBox[{"Partition", "[", 
             RowBox[{
              RowBox[{"RotateLeft", "[", 
               RowBox[{"a", ",", "d"}], "]"}], ",", "n"}], "]"}], "/.", 
            "rule"}], "]"}]}], "]"}]}], ")"}], ";"}], ",", "Null"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AMPStep", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n_", ",", "rule_"}], "}"}], ",", "a_", ",", "d_"}], "]"}], ":=",
    
   RowBox[{"K", "[", 
    RowBox[{"a", ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"AMP1DStep", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"n", ",", "rule"}], "}"}], ",", "#", ",", "d"}], "]"}], 
         ")"}], "&"}], ",", 
       RowBox[{"ISO2D", "[", 
        RowBox[{"amperemeter", ",", "a"}], "]"}]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"FULLStep", "[", 
     RowBox[{"amprule_", ",", 
      RowBox[{"{", 
       RowBox[{"n_", ",", "ddrule_"}], "}"}], ",", "a_", ",", "d_"}], "]"}], ":=",
     
    RowBox[{"AMPStep", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"n", ",", "amprule"}], "}"}], ",", 
      RowBox[{"HOVERESUPStep", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"n", ",", "ddrule"}], "}"}], ",", "a", ",", "d"}], "]"}], 
      ",", 
      RowBox[{"d", "+", "1"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"FULLStep", "[", 
      RowBox[{"amprule_", ",", 
       RowBox[{"{", 
        RowBox[{"n_", ",", "ddrule_"}], "}"}], ",", "a_", ",", "d_"}], "]"}], 
     ":=", 
     RowBox[{"HOVERESUPStep", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"n", ",", "ddrule"}], "}"}], ",", "a", ",", "d"}], "]"}]}], 
    ";"}], "*)"}], " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"no", " ", "amps"}], ";"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"basic", ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y_", ",", "z_", ",", "0", ",", "1"}], "}"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"y", ",", "z", ",", "1", ",", "0"}], "}"}]}], ",", " ", 
      "\[IndentingNewLine]", "\t    ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y_", ",", "z_", ",", "1", ",", "0"}], "}"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"y", ",", "z", ",", "0", ",", "1"}], "}"}]}], ",", 
      "\[IndentingNewLine]", "\t    ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "y_", ",", "z_"}], "}"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "y", ",", "z"}], "}"}]}], ",", 
      "\[IndentingNewLine]", "\t    ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "y_", ",", "z_"}], "}"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "y", ",", "z"}], "}"}]}]}], "}"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"    ", 
  RowBox[{
   RowBox[{"iso", ":=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "x", ",", "1"}], "}"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "x", ",", "1"}], "}"}]}], ",", 
      "\[IndentingNewLine]", "\t     ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "x", ",", "1", ",", "0"}], "}"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "x", ",", "0", ",", "1"}], "}"}]}], ",", 
      "\[IndentingNewLine]", "\t     ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "x", ",", "0"}], "}"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "x", ",", "0"}], "}"}]}], ",", 
      "\[IndentingNewLine]", "\t     ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "x", ",", "0", ",", "1"}], "}"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "x", ",", "1", ",", "0"}], "}"}]}]}], "}"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ddr", "[", "d_", "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{"d", ",", "ratio"}], "]"}], "\[Equal]", "0"}], ",", "basic", 
     ",", "iso"}], "]"}]}], ";", 
  RowBox[{"(*", 
   RowBox[{"laatste", " ", "basic", " ", "was", " ", "iso"}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"steps", "=", "5000"}], ";", 
  RowBox[{"(*", 
   RowBox[{"was", " ", "50000"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"EmitSound", "[", 
     RowBox[{"Import", "[", "\"\<pacchomp.wav\>\"", "]"}], "]"}], ";"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"EvolveList", "[", 
    RowBox[{"amprule_", ",", 
     RowBox[{"{", 
      RowBox[{"n_Integer", ",", "ddrule_"}], "}"}], ",", "init_", ",", "t_"}],
     "]"}], " ", ":=", 
   RowBox[{
    RowBox[{"FoldList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"FULLStep", "[", 
        RowBox[{"amprule", ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "ddrule"}], "}"}], ",", "#1", ",", "#2"}], "]"}], 
       "&"}], ",", "init", ",", 
      RowBox[{"Range", "[", "t", "]"}]}], "]"}], " ", "/;", " ", 
    RowBox[{
     RowBox[{"Mod", "[", 
      RowBox[{
       RowBox[{"Length", "[", "init", "]"}], ",", "n"}], "]"}], "\[Equal]", 
     " ", "0"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"el", "=", 
   RowBox[{"EvolveList", "[", 
    RowBox[{"AMPbasic", ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"ddr", "[", "#", "]"}], ")"}], "&"}]}], "}"}], ",", "pcb", 
     ",", "steps"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Sample", "[", 
    RowBox[{"lst_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"Take", "[", 
    RowBox[{"lst", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"Length", "[", "lst", "]"}], ",", "n"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"el", "=", 
    RowBox[{"Sample", "[", 
     RowBox[{"el", ",", "50"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Animate", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"HAHAGraphics", "[", 
      RowBox[{"el", "\[LeftDoubleBracket]", "t", "\[RightDoubleBracket]"}], 
      "]"}], ")"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "1", ",", 
      RowBox[{"Length", "[", "el", "]"}], ",", "1"}], "}"}], ",", 
    RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.3926303105959997`*^9, 3.3926303190491247`*^9}, {
   3.3926306923121023`*^9, 3.3926306946715384`*^9}, {3.3926307427806253`*^9, 
   3.3926307532181253`*^9}, {3.3926309508137503`*^9, 3.392630994048771*^9}, {
   3.392631229666767*^9, 3.3926312336200943`*^9}, 3.392631549757956*^9, {
   3.3926356575703726`*^9, 3.392635658398503*^9}, {3.39263646833505*^9, 
   3.392636469319419*^9}, {3.3926943288619256`*^9, 3.3926943296588106`*^9}, {
   3.39327458796875*^9, 3.39327461253125*^9}, {3.39329348834375*^9, 
   3.393293510109375*^9}, {3.393363013515625*^9, 3.393363037296875*^9}, {
   3.3933632120625*^9, 3.39336323934375*^9}, {3.3933726339375*^9, 
   3.393372642171875*^9}, {3.397483586921875*^9, 3.397483631890625*^9}, 
   3.39748366684375*^9, {3.397483813296875*^9, 3.39748381775*^9}, {
   3.397484289453125*^9, 3.397484291359375*^9}},
 FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`t$$ = 84, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`t$$], 1, 101, 1}}, Typeset`size$$ = {
    360., {74., 79.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`t$141$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`t$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$141$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`HAHAGraphics[
        Part[$CellContext`el, $CellContext`t$$]], 
      "Specifications" :> {{$CellContext`t$$, 1, 101, 1, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{406., {111., 116.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`HAHAGraphics[
         Pattern[$CellContext`h, 
          Blank[]]] := Show[
         Graphics[
          Raster[
           Reverse[$CellContext`h], ColorFunction -> $CellContext`MYHue], 
          AspectRatio -> Automatic]], $CellContext`MYHue[
         Pattern[$CellContext`c, 
          Blank[]]] := Hue[
         Switch[$CellContext`c, 0.5, $CellContext`HUEdeepblue, 
          0, $CellContext`HUEazureblue, 
          1, $CellContext`HUEred]], $CellContext`HUEdeepblue = 
       0.6, $CellContext`HUEazureblue = 0.5, $CellContext`HUEred = 
       0., $CellContext`el = {{{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 1, 0, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 
           0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 1, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0, 0, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 
           0, 0, 1, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 0, 
           0, 1, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 1, 1, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           1, 0, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0.5,
            0.5, 1, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 1, 0, 1, 
           0, 0, 1, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 
           0, 1, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 1, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 
           1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 1, 0, 
           0, 1, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 0, 1, 0, 1, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0.5, 0, 0, 1, 0, 1, 
           0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 
           1, 1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 1, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 1, 1, 1, 1, 0, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 1, 1, 
           0, 0, 1, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 0, 0, 0, 1}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 1, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 1, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 1, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 1, 
           1, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0.5, 0, 1, 0, 
           0, 1, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0.5,
            0.5, 1, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0.5, 1, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 0, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 1, 
           0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0, 0, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0, 1, 
           0, 1, 0, 0, 1, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 1, 0, 
           0, 1, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           1, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 1, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 1, 1, 
           0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 1, 1, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 0, 0, 1, 0, 1, 
           1, 0, 0, 1, 0, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 1, 0, 1, 
           0, 0, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0.5, 0, 0, 0.5,
            0.5, 1, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           1, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0.5, 1, 1, 0, 
           1, 1, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 1, 0.5,
            0.5, 1, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0,
            0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0.5, 1, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 
           1, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 1, 0, 
           1, 0, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 1, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 1, 0, 0, 1, 1, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 1, 0, 0, 
           0, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 1, 0, 
           0, 1, 1, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 1, 0.5,
            0.5, 0, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 1, 0, 0, 0, 
           0, 1, 1, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0, 1, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0.5, 0, 1, 0, 
           0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0.5, 0, 1, 0.5,
            0.5, 1, 1, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 1, 1, 
           0.5, 0.5, 0.5, 1, 1, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1,
            1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 1, 1, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0.5, 1, 1, 0, 0.5, 1, 0, 1, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 0, 1, 
           0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 
           1, 1, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 0.5,
            0.5, 1, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 1, 1, 1, 0.5, 1, 1, 1, 0, 0, 
           0, 0, 0, 1, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 1, 0, 
           0, 0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           1, 0, 1}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 0, 1, 0.5,
            0.5, 1, 0, 1, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 1, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0, 0, 0, 1, 1, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 1, 0.5, 0, 1, 0, 1, 0, 
           0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 1, 0, 
           1, 1, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 
           0.5, 0.5, 0.5, 1, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 1, 1, 0.5, 0, 0, 0, 1, 1, 
           0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 1, 
           0, 0, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 1, 1, 0.5,
            0.5, 1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 1, 1, 
           0.5, 0.5, 0.5, 1, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 1, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 1, 0, 
           0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0.5, 1, 1, 1, 
           1, 1, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 
           1, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 1, 0.5,
            0.5, 0, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 1, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0,
            0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 1, 
           0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0.5, 0, 0, 1, 0}, {
          0, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 1, 0, 
           0, 1, 1, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 
           1, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 1, 1, 
           0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           1, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 1, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 1, 0, 0.5, 0, 0, 0, 1, 1, 
           0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 0, 0, 0, 1}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 0, 1, 
           1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0.5, 1, 0, 0.5,
            0.5, 0, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0,
            0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0.5, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 1, 1, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 1, 1, 1, 0, 1, 
           1, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 0, 0, 0, 0}, {
          0, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 1, 0, 
           0, 1, 0, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 
           0, 1, 0}, {
          0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 1, 1, 0, 1, 0, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0, 1, 
           0, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 1, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 0, 0, 
           0, 0, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           0, 0, 1}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 1, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 1, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 1, 0, 1, 0, 1, 1, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 1, 0, 0, 
           1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 1, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 1, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 1, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 1, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1,
            0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 1, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 1, 
           0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0.5, 0, 1, 0, 0}, {
          0, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 0, 0, 0, 
           1, 0, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0.5,
            0.5, 1, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 
           0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 1, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 1, 1, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0.5, 1, 1, 0, 0, 1, 
           0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 
           0, 1, 1, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          1, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0.5, 1, 1, 0.5,
            0.5, 0, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1,
            0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 0, 0, 0.5, 0, 0, 1, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 1, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 
           1, 1, 1, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0.5, 1, 0, 1, 
           0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 1, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0,
            1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 1, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 1, 0, 1, 1, 0, 0.5, 0, 0, 1, 0.5, 0, 0, 1, 0, 0, 
           0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 1, 0, 0}, {
          1, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 0, 1, 
           1, 1, 1, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 
           1, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 1, 0.5,
            0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1,
            0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 0, 0, 1, 1, 1, 
           0, 0, 0, 1, 1, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 0, 0, 0, 1}, {
          1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 1, 0, 
           1, 0, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 1, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 1, 1, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 1, 
           0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0.5, 0, 1, 0, 1}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0.5, 0, 1, 0, 
           0, 0, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 1, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0,
            0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 1, 1, 1, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 1, 1, 0, 0, 1, 0, 1, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 1, 1}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 
           0, 0, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 1, 1, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {
          0.5, 0, 0, 1, 0, 1, 1, 0.5, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 1, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 1, 0, 1}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0.5, 1, 0, 0, 
           0, 0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 1, 1, 
           0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 1, 0, 0.5, 1, 0, 1, 0, 0, 
           1, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 1, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 0, 0, 
           1, 0, 1, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           0, 1, 0}, {
          0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 1, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 1, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 1, 0, 1, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 1, 0, 1, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 1, 
           0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 
           0, 0, 1}, {
          0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 0.5,
            0.5, 1, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 1, 
           0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 1, 0, 0, 1, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 1, 0.5, 1, 0, 1, 1, 0, 
           1, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0, 1, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 1, 0, 1, 
           0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0.5,
            0.5, 1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 1, 1, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 
           1, 1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 1, 0.5,
            0.5, 1, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 0, 0, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 1, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 1, 
           0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 1, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0, 1, 
           0, 1, 1, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0}, {
          1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 1, 
           0, 1, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 
           1, 0, 0}, {
          0, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 
           0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 0, 0.5, 1, 0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 1, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 1, 1, 
           0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 1, 0, 0, 0}, {
          0, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 1, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 0, 0.5,
            0.5, 1, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 1, 1, 0, 1, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 1, 0, 1, 0, 
           1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 1, 
           1, 0, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 1, 1, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 0, 0, 0, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0.5, 0, 1, 0, 0.5, 1, 1, 0, 0, 1, 
           0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 1, 0, 1}, {
          0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 1, 
           1, 1, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           1, 0, 0}, {
          0, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 1, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 1}, {
          1, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 1, 
           1, 0, 0, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 0.5,
            0.5, 1, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 1, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 1, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 1, 0.5, 0, 0, 1, 0, 0, 
           0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 0, 1, 0, 1}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 1, 
           0, 0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 
           0, 0, 1}, {
          0, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0.5,
            0.5, 0, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 1, 0, 
           0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 1, 0.5, 0, 1, 0, 1, 0, 
           1, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 0, 0, 1, 0}, {
          0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0.5, 0, 
           0, 0, 1}, {
          1, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 1, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 1, 0, 0, 0.5, 1, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 1, 0, 0, 0, 
           0, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 1, 0, 0}, {
          0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 
           0, 1, 0}, {
          0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 1, 0.5,
            0.5, 0, 1, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 
           0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 1, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 1, 0, 
           0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 1, 0}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 1, 
           1, 0, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0.5, 1, 
           0, 1, 0}, {
          1, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 1, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 
           0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 1, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 1, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 1, 0, 0, 1, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 
           0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 0, 
           1, 0, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 1, 
           0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 1, 0, 
           1, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 1, 1, 0}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 1, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 
           0, 1, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 0.5, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 0, 0, 0.5, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 1, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 1, 0, 0.5, 0, 0, 0, 0, 1, 
           0, 1, 0, 1, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 1, 0, 0, 
           0, 0, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           1, 0, 0}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 1, 0.5, 1, 0, 0, 0, 1, 
           0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 1, 1, 0, 
           0, 0, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 1, 
           1, 0, 0}, {
          0, 0, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 1, 1, 0, 1, 1, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 1, 1, 1, 0, 0, 1, 1, 0, 0.5, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 
           0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 
           0, 1, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 1, 1, 0.5,
            0.5, 1, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 1, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0,
            1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 1, 
           0, 0, 0, 1, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 1, 0}, {
          1, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 1, 0, 0, 
           0, 1, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 1, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 1, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0.5, 1, 0, 0, 0.5, 0, 0, 1, 0, 0, 
           0, 1, 0, 0, 0, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 1, 0, 1, 0}, {
          0, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0.5, 1, 
           1, 0, 0}, {
          0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 1, 0, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 
           0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 0, 
           0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           1, 1, 1}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 
           1, 1, 1, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 1}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 
           1, 0, 0}, {
          0, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 
           0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 1, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 1, 1, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 1}, {
          1, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 
           1, 0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           0, 1, 0}, {
          0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 1, 1, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0,
            1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 1, 0, 0, 0, 1, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0.5, 1, 0, 0, 0.5, 1, 1, 0, 0, 0, 
           1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 1, 
           0, 0, 0}, {
          0, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0.5,
            0.5, 0, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 0, 0, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 1, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 1, 1, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 1, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 1, 0, 
           1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 0, 0, 1, 0}, {
          0, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           1, 1, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 0.5,
            0.5, 0, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0,
            1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 1, 0, 0, 1, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 1, 0, 1, 0, 
           0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 0}, {
          1, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 1, 
           0, 0, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 
           0, 1, 0}, {
          0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 1, 0, 0.5,
            0.5, 0, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 1, 1, 1}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 1, 1, 
           0, 0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 1, 
           1, 0, 1}, {
          1, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 1, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 1, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 
           0, 0, 1, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 1, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 0, 
           0, 1, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 
           0, 0, 1}, {
          0, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 
           0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 1, 0, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 1, 0, 
           1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 0, 1, 0, 0}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 1, 
           0, 0, 0, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0.5, 1, 
           0, 0, 0}, {
          1, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 
           0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 1, 1, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 1, 0, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 1, 1, 1, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 1, 0, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 1, 1, 0}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 1, 1, 0, 
           1, 0, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 1, 1}, {
          0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 1, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 0, 1, 0, 0.5, 0, 1, 1, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 1, 1, 
           1, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 0, 0, 1, 0}, {
          0, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 0, 
           1, 0, 1}, {
          0, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 1, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 1, 0, 0, 1, 1, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 1, 0}, {
          0, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 
           0, 0, 1}, {
          1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0.5, 1, 0, 0.5,
            0.5, 0, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 
           0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 1, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           1, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 1, 1, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          1, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           0, 0, 1}, {
          1, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 1, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 1, 0.5, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 0, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0.5, 1, 0, 0, 0.5, 0, 0, 0, 1, 1, 
           0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 1, 1, 1, 0}, {
          0, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 1, 
           1, 1, 1}, {
          0, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 1, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 1, 1, 1, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 1, 0, 0, 0, 
           0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 1, 0, 1}, {
          0, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 
           0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {
          0.5, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 1, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0}, {
          0, 1, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 
           0, 0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 1, 1, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 0, 1, 1, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 1, 1, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 0, 1, 0, 1, 
           0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 0, 1, 0, 0}, {
          0, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 
           0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0.5, 1, 
           0, 1, 0}, {
          0, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 1, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 1, 
           0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 0, 1, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 0, 1, 1, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 
           0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 1, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           1, 0, 0}, {
          0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 0.5,
            0.5, 0, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 1, 1, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 1, 1, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0, 0, 0, 1}, {
          0, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 0, 
           0, 0, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 
           1, 0, 1}, {
          0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 1, 1, 0.5, 1, 0, 0, 0, 0, 
           0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 1, 0, 1, 0}, {
          0, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 1, 
           0, 0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 1, 0, 0, 0, 
           1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 0, 0, 0, 1}, {
          0, 0, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0.5, 1, 0, 0, 
           0, 0, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 
           1, 0, 0}, {
          1, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 1, 1, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0.5, 1, 1, 0, 
           1, 0, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 
           0, 1, 0}, {
          0, 1, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 1, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 1, 0, 1, 0, 0, 1, 0, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 1, 1, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 1, 0, 0, 0, 
           0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 1, 0, 0, 
           1, 0, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0.5, 1, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 0, 1, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 1, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 1, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 1, 0, 1, 0.5, 0, 1, 0, 0, 0, 
           0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 
           1, 0, 0}, {
          1, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 1, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 1, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 1, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 1, 0.5, 0, 0, 1, 1, 0, 
           0, 0, 1, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 1, 0.5, 0, 0, 1, 0}, {
          0, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 
           0, 0, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 1, 1, 1, 0, 0, 0.5, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 1, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 1, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 0, 0, 0, 0}, {
          1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 1, 
           0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 1, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0}, {
          0, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0.5, 1, 
           0, 0, 1}, {
          0, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {
          0.5, 0, 0, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 1, 0, 0, 1, 1, 0, 1, 1, 0, 0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 
           1, 1, 1, 1, 0, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 0, 0, 0, 0}, {
          0, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 
           0, 0, 0}, {
          1, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 1, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 0, 1, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 1, 
           0, 0, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0.5, 1, 
           1, 0, 0}, {
          0, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 
           0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 1, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 1, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 
           0, 0, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 1, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 
           1, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 1}, {
          0, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 1, 
           0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 
           0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 1, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 1, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0,
            1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0.5, 1, 0, 0, 0.5, 0, 1, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 1, 0, 0}, {
          1, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0.5,
            0.5, 0, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 
           0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0, 1, 
           1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 0, 0, 0, 1}, {
          0, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 
           0, 1, 0}, {
          1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 1, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 1, 1, 
           0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 1, 0, 0}, {
          1, 1, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0.5, 0, 
           1, 0, 0}, {
          0, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 
           0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 0, 1, 0, 0, 
           0, 0, 1, 1, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 1, 1, 1, 1}, {
          0, 1, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 1, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 1, 0}, {
          0, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 
           0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 1, 0, 1, 0, 1, 1, 0.5, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 1, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0}, {
          1, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 
           0, 0, 1}, {
          0, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 
           0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 1, 1, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 1, 1, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 0, 1, 1, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 1, 1, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 1, 0.5, 0, 0, 1, 0.5, 0, 1, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 1, 1, 0, 0}, {
          0, 0, 1, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 
           0, 0, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0.5, 1, 
           1, 1, 0}, {
          0, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 1, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 1, 
           0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0.5, 0, 1, 1, 1}, {
          0, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 0, 1, 
           0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 1, 
           0, 1, 1}, {
          1, 1, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 
           0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 1, 1, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 1, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 
           0, 1, 0, 0, 1, 0, 1, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 1, 0, 0, 1}, {
          0, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 1, 
           0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 
           0, 0, 0}, {
          1, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 
           0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 0, 0, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 0, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 
           0.5}, {
          0.5, 0, 1, 1, 0, 1, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 1, 1, 1, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 1, 1, 0, 
           0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 1, 1}, {
          1, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 
           0, 0, 1}, {
          0, 1, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           0, 0, 0, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 1, 0, 1, 0, 1, 0.5, 0, 1, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 0, 0, 0, 1, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 0, 0.5, 1, 0, 0, 0}, {
          0, 1, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 1, 
           0, 0, 0, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0, 0}, {
          1, 1, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 0, 0, 1, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 0, 0, 0, 0}, {
          1, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 1, 
           0, 0, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           0, 0, 0}, {
          0, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 0, 0, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 1, 0, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          1, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0.5, 1, 
           0, 0, 0}, {
          1, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 
           1, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 1, 0, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 1, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 1, 0, 1, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 1, 1, 0.5, 0, 0, 0, 0}, {
          1, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 0.5, 0, 1, 0, 
           0, 0, 0, 0, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0.5, 0, 
           0, 1, 0}, {
          0, 1, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 1, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 0, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 1, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 1, 1, 
           0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 1, 1, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 1, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 1, 1, 0, 1, 0, 0, 1, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0.5, 0, 0, 1, 0.5, 0, 0, 0, 0, 1, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 1, 0.5, 0, 0, 0, 0}, {
          1, 1, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 
           0, 0, 1, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 
           0, 1, 1}, {
          1, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 
           0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 1, 1, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 1, 
           0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0,
            0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 1, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 1, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0,
            1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 1, 1, 1, 0, 1, 0, 1, 1, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 1, 1, 0, 0, 0, 
           0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 1, 0, 0}, {
          1, 0, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 1, 
           0, 0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0.5, 1, 
           0, 0, 1}, {
          0, 1, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 
           0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 0, 0, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 1, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           1, 0, 0, 1, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1,
            0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 1, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 0, 1, 0, 0.5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 1, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 1, 0, 0, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 1, 1, 1, 1, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 
           0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0.5, 1, 1, 0, 0}, {
          0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 1, 0, 0, 0.5, 1, 
           0, 0, 0}, {
          1, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0.5,
            0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           1, 1, 0, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 1, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 1, 1, 1, 1, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 1, 0, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 1, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0.5,
            0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 0.5, 0, 0.5, 0.5}, {
          0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 0, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 1, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 0, 0, 0, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}, {{
          0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
          0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0, 0, 0.5}, {
          0.5, 0, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 1, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 
           0.5, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 1, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 0, 0, 0, 1, 0.5, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 0, 0, 0, 0, 1, 0, 1, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0.5, 0.5, 0, 0, 0, 0, 1, 1, 0, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
           0.5}, {0.5, 1, 0, 1, 1, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 1, 0, 0, 0, 0, 1, 0.5, 0, 0, 0, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 1,
            0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0.5, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 0.5, 
           0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {
          0, 0, 0, 1, 0, 0, 1, 1, 1, 0, 1, 0.5, 0, 0, 0, 0.5, 0, 1, 0, 0, 0, 
           0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0.5, 0, 0, 0, 0.5, 0, 0, 0, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 1, 1, 0.5, 0, 0, 1, 0}, {
          1, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 0, 
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           1, 1, 0}, {
          0, 1, 0, 1, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 0, 0, 0.5, 0, 0, 0.5,
            0.5, 0, 0, 0, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 
           0, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 0, 1, 1, 
           0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0.5, 0, 1, 
           0.5, 0.5, 0.5, 0, 0, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 0, 
           0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 1, 
           0, 1, 0, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 1, 1, 1, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 1, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 1, 1, 1, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0, 0.5, 0.5, 0, 
           1, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 0, 0, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0.5, 0.5, 1, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 1, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0.5,
            1, 0.5, 0.5, 0.5, 0, 1, 0, 1, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0,
            0.5, 0.5, 0.5, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 1, 0.5, 0.5}, {
          0.5, 0, 0, 0, 0, 0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0, 1, 0.5, 0.5, 0, 1, 0.5, 0.5}, {
          0.5, 0, 1, 1, 0, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0.5, 0.5, 0, 
           0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 
           0.5, 0.5, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 
           0.5, 0.5, 1, 0, 0.5, 0.5, 1, 0, 0.5, 0.5}, {
          0.5, 0, 0, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 1, 1, 1, 0, 
           0.5, 0.5, 0.5, 0, 1, 0, 1, 1, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 0, 0, 
           0, 0, 0, 0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0, 0, 1, 0, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0, 1, 0,
            0, 1, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
           0.5, 0.5, 0.5, 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
            0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0, 1, 0.5, 0.5}, {
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5}, {0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 
          0.5, 0.5, 0.5}}}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.39748389053125*^9, 3.39748427475*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"secondhalf", "[", "h_List", "]"}], ":=", 
   RowBox[{"Take", "[", 
    RowBox[{"h", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "+", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"Length", "[", "h", "]"}], "/", "2"}], "]"}]}], ",", 
       RowBox[{"Round", "[", 
        RowBox[{"Length", "[", "h", "]"}], "]"}], ",", "1"}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"vsmooth", "[", "h_List", "]"}], ":=", 
    RowBox[{"Map", "[", 
     RowBox[{"Mean", ",", 
      RowBox[{"Partition", "[", 
       RowBox[{"h", ",", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"Length", "[", "h", "]"}], "/", "50"}], "]"}]}], "]"}]}], 
     "]"}]}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"50", " ", "wordt", " ", "aantal", " ", "plotpunten"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"asmooth", "[", "h_", "]"}], ":=", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"#", "/", "ratio"}], ")"}], "&"}], ",", 
      RowBox[{"Map", "[", 
       RowBox[{"Mean", ",", 
        RowBox[{"Partition", "[", 
         RowBox[{"h", ",", 
          RowBox[{"steps", "/", "50"}]}], "]"}]}], "]"}]}], "]"}]}], ";"}], 
  " ", 
  RowBox[{"(*", 
   RowBox[{"was", " ", "10"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"totalchargeinitial", " ", ":", " ", 
  RowBox[{"cntcharge", "[", "pcb", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"totaltime", " ", ":", " ", "steps"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"voltsplus", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#", "/", "voltareaplus"}], ")"}], "&"}], ",", 
     RowBox[{"Map", "[", 
      RowBox[{"cnt", ",", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", " ", "\[CircleTimes]", " ", "voltmeterplus"}], ")"}], 
          "&"}], ",", "el"}], "]"}]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"1000.", 
    RowBox[{"vsmooth", "[", "voltsplus", "]"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", "\"\<bla\>\""}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"1000.", 
       RowBox[{"Max", "[", "voltsplus", "]"}]}]}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", "HUEyellow", "]"}], ",", 
      RowBox[{"PointSize", "[", "0.03", "]"}]}], "}"}]}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"averagemillivoltsplus2ndhalf", " ", ":", " ", 
   RowBox[{"Round", "[", 
    RowBox[{"1000.", 
     RowBox[{"Mean", "[", 
      RowBox[{"secondhalf", "[", "voltsplus", "]"}], "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"amperes", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#", "/", 
        RowBox[{"(", 
         RowBox[{"amperelength", "-", "1"}], ")"}]}], ")"}], "&"}], ",", 
     RowBox[{"Map", "[", 
      RowBox[{"MYSum", ",", 
       RowBox[{"Partition", "[", 
        RowBox[{"amperes", ",", 
         RowBox[{"Length", "[", "pcb", "]"}]}], "]"}]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"1000.", 
     RowBox[{"asmooth", "[", "amperes", "]"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", "\"\<current\>\""}], ",", 
    RowBox[{"PlotRange", "->", 
     RowBox[{
      StyleBox["{",
       FontWeight->"Bold"], 
      StyleBox[
       RowBox[{"0", 
        StyleBox[",",
         FontSlant->"Plain",
         FontTracking->"Plain",
         FontVariations->{"CompatibilityType"->0,
         "Masked"->False,
         "Outline"->False,
         "RotationAngle"->0,
         "Shadow"->False,
         "StrikeThrough"->False,
         "Underline"->False}], 
        StyleBox["100",
         FontSlant->"Plain",
         FontTracking->"Plain",
         FontVariations->{"CompatibilityType"->0,
         "Masked"->False,
         "Outline"->False,
         "RotationAngle"->0,
         "Shadow"->False,
         "StrikeThrough"->False,
         "Underline"->False}]}],
       FontWeight->"Bold"], 
      StyleBox["}",
       FontFamily->"Courier New",
       FontSlant->"Plain",
       FontTracking->"Plain",
       FontVariations->{"CompatibilityType"->0,
       "Masked"->False,
       "Outline"->False,
       "RotationAngle"->0,
       "Shadow"->False,
       "StrikeThrough"->False,
       "Underline"->False}]}]}], 
    StyleBox[",",
     FontFamily->"Courier New"], 
    StyleBox[
     RowBox[{"(*", 
      StyleBox[
       RowBox[{
        RowBox[{"PlotJoIned", " ", "->", " ", "True"}], ","}], "MR",
       FontWeight->"Bold"], 
      StyleBox[" ", "MR",
       FontWeight->"Bold"], 
      StyleBox["*)", "MR",
       FontWeight->"Bold"]}],
     FontFamily->"Courier New"], 
    StyleBox[
     RowBox[{"PlotStyle", 
      StyleBox["\[Rule]",
       FontWeight->"Plain"], 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "HUEred", "]"}], ",", 
        RowBox[{"PointSize", "[", "0.02", "]"}]}], "}"}]}],
     FontFamily->"Courier New"], 
    StyleBox[",",
     FontFamily->"Courier New",
     FontWeight->"Plain"], 
    StyleBox[
     RowBox[{"Frame", "\[Rule]", "True"}],
     FontFamily->"Courier New"], 
    StyleBox[",",
     FontFamily->"Courier New",
     FontWeight->"Plain"], 
    StyleBox[
     RowBox[{"GridLines", "\[Rule]", "Automatic"}],
     FontFamily->"Courier New"]}], 
   StyleBox["]",
    FontFamily->"Courier New",
    FontWeight->"Plain"]}], "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"totalchargeflow", ":", 
    RowBox[{
     RowBox[{"Round", "[", 
      RowBox[{"MYSum", "[", "amperes", "]"}], "]"}], "\[IndentingNewLine]", 
     RowBox[{"averagemilliamperes", ":", 
      RowBox[{
       RowBox[{"Round", "[", 
        RowBox[{"1000.", 
         RowBox[{
          RowBox[{"Mean", "[", "amperes", "]"}], "/", "ratio"}]}], "]"}], 
       "\[IndentingNewLine]", 
       RowBox[{"averagemilliamperes2ndhalf", ":", 
        RowBox[{
         RowBox[{"Round", "[", 
          RowBox[{"1000.", 
           RowBox[{
            RowBox[{"Mean", "[", 
             RowBox[{"secondhalf", "[", "amperes", "]"}], "]"}], "/", 
            "ratio"}]}], "]"}], "\[IndentingNewLine]", 
         RowBox[{"resistance", "  ", ":", " ", 
          RowBox[{"N", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Mean", "[", 
                RowBox[{"secondhalf", "[", "voltsplus", "]"}], "]"}], "-", 
               "0"}], " ", ")"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Mean", "[", 
                RowBox[{"secondhalf", "[", "amperes", "]"}], "]"}], "/", 
               "ratio"}], ")"}]}], ",", "2"}], "]"}]}]}]}]}]}]}]}], 
   "\[IndentingNewLine]", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"voltscumulusmeter", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"#", "\[Equal]", "x"}], ",", "0", ",", "1"}], "]"}], ")"}], 
      "&"}], ",", "pcb", ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"voltscumulus", "=", 
   RowBox[{"MYSum", "[", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"#", " ", "\[CircleTimes]", " ", "voltscumulusmeter"}], ")"}],
        "&"}], ",", "el"}], "]"}], "]"}]}], ";", 
  RowBox[{"ArrayPlot", "[", "voltscumulus", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"EmitSound", "[", 
     RowBox[{"Import", "[", "\"\<extrapac.wav\>\"", "]"}], "]"}], ";"}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.392630933938923*^9, 3.3926309362670927`*^9}, {
  3.3926355788520145`*^9, 3.392635585492682*^9}, {3.39336138215625*^9, 
  3.393361465734375*^9}, {3.3974835648125*^9, 3.39748356778125*^9}}],

Cell[BoxData[
 RowBox[{"totalchargeinitial", ":", "59"}]], "Output",
 CellChangeTimes->{
  3.3926315093214912`*^9, {3.3926355599612684`*^9, 3.39263558753957*^9}, 
   3.392636106415491*^9, 3.3926940807650003`*^9, 3.3926943061272593`*^9, 
   3.3926964169138775`*^9, 3.39336133990625*^9, {3.39336139021875*^9, 
   3.39336141603125*^9}}],

Cell[BoxData[
 RowBox[{"totaltime", ":", "50000"}]], "Output",
 CellChangeTimes->{
  3.3926315093214912`*^9, {3.3926355599612684`*^9, 3.39263558753957*^9}, 
   3.392636106415491*^9, 3.3926940807650003`*^9, 3.3926943061272593`*^9, 
   3.3926964169138775`*^9, 3.39336133990625*^9, {3.39336139021875*^9, 
   3.39336141603125*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {Hue[0.2], PointSize[0.03], 
    PointBox[{{1., 456.25}, {2., 409.82142857142856`}, {3., 
     383.03571428571433`}, {4., 318.75}, {5., 257.1428571428571}, {6., 
     229.4642857142857}, {7., 180.35714285714286`}, {8., 
     125.89285714285714`}, {9., 102.67857142857143`}, {10., 
     72.32142857142858}, {11., 81.25}, {12., 66.96428571428571}, {13., 
     41.96428571428571}, {14., 21.428571428571427`}, {15., 12.5}, {16., 
     11.607142857142858`}, {17., 0.}, {18., 0.}, {19., 3.571428571428571}, {
     20., 11.607142857142858`}, {21., 29.464285714285715`}, {22., 
     89.28571428571429}, {23., 159.82142857142856`}, {24., 
     228.57142857142856`}, {25., 279.4642857142857}, {26., 
     328.57142857142856`}, {27., 383.92857142857144`}, {28., 
     423.2142857142857}, {29., 487.5}, {30., 548.2142857142858}, {31., 
     562.5}, {32., 591.0714285714286}, {33., 624.1071428571429}, {34., 
     613.3928571428572}, {35., 617.8571428571429}, {36., 571.4285714285714}, {
     37., 533.9285714285714}, {38., 442.85714285714283`}, {39., 
     408.92857142857144`}, {40., 334.82142857142856`}, {41., 
     284.82142857142856`}, {42., 241.96428571428572`}, {43., 
     228.57142857142856`}, {44., 172.32142857142858`}, {45., 
     136.60714285714283`}, {46., 117.85714285714286`}, {47., 
     91.07142857142857}, {48., 62.5}, {49., 20.535714285714285`}, {50., 
     13.392857142857142`}}]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->FormBox["\"bla\"", TraditionalForm],
  AxesOrigin->{0, 0},
  Frame->True,
  GridLines->Automatic,
  PlotRange->{{0, 50.}, {0, 714.2857142857143}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic}]], "Output",
 CellChangeTimes->{
  3.3926315093214912`*^9, {3.3926355599612684`*^9, 3.39263558753957*^9}, 
   3.392636106415491*^9, 3.3926940807650003`*^9, 3.3926943061272593`*^9, 
   3.3926964169138775`*^9, 3.39336133990625*^9, 3.39336139021875*^9, 
   3.3933614203125*^9}],

Cell[BoxData[
 RowBox[{"averagemillivoltsplus2ndhalf", ":", "353"}]], "Output",
 CellChangeTimes->{
  3.3926315093214912`*^9, {3.3926355599612684`*^9, 3.39263558753957*^9}, 
   3.392636106415491*^9, 3.3926940807650003`*^9, 3.3926943061272593`*^9, 
   3.3926964169138775`*^9, 3.39336133990625*^9, 3.39336139021875*^9, 
   3.3933614203125*^9}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", "\<\"current\"\>"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "100"}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", "0.`", "]"}], ",", 
      RowBox[{"PointSize", "[", "0.02`", "]"}]}], "}"}]}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]], "Output",
 CellChangeTimes->{
  3.3926315093214912`*^9, {3.3926355599612684`*^9, 3.39263558753957*^9}, 
   3.392636106415491*^9, 3.3926940807650003`*^9, 3.3926943061272593`*^9, 
   3.3926964169138775`*^9, 3.39336133990625*^9, 3.39336139021875*^9, 
   3.393361420359375*^9}]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJztV3toVmUc/r5zVsMuXqq5tdV0ubmmZtuc2qYts5WUF2hESWDKIqjAyoKk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   "], {{0, 0}, {60, 24}}, {0, 1001}],
  Frame->Automatic,
  FrameLabel->{None, None},
  FrameTicks->{{None, None}, {None, None}}]], "Input",
 CellChangeTimes->{
  3.3926315093214912`*^9, {3.3926355599612684`*^9, 3.39263558753957*^9}, 
   3.392636106415491*^9, 3.3926940807650003`*^9, 3.3926943061272593`*^9, 
   3.3926964169138775`*^9, 3.39336133990625*^9, 3.39336139021875*^9, 
   3.393361423296875*^9, {3.3933710240625*^9, 3.3933710296875*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.392630857688085*^9, {3.3926309109081974`*^9, 3.392630926267*^9}}]
},
WindowSize->{986, 617},
WindowMargins->{{28, Automatic}, {Automatic, 73}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (August 6, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 135, 3, 31, "Input"],
Cell[CellGroupData[{
Cell[728, 28, 28657, 870, 1952, "Input"],
Cell[29388, 900, 662988, 9150, 244, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[692413, 10055, 8323, 253, 472, "Input"],
Cell[700739, 10310, 333, 6, 30, "Output"],
Cell[701075, 10318, 327, 6, 30, "Output"],
Cell[701405, 10326, 2019, 38, 244, "Output"],
Cell[703427, 10366, 341, 6, 30, "Output"],
Cell[703771, 10374, 803, 19, 50, "Output"]
}, Open  ]],
Cell[704589, 10396, 2578, 45, 168, "Input"],
Cell[707170, 10443, 116, 2, 31, "Input"]
}
]
*)

(* End of internal cache information *)
